About charts

Charts are visually appealing and make it easy for you to see comparisons, patterns, and trends in data. With the Microsoft Office Chart Component, you can interact with a dynamic chart that updates to reflect the latest changes to the data on which the chart is based.

Chart and spreadsheet on a Web page

Show Interacting with a chart

If you have access to the data on which the chart is based, you can change the data, refresh the Web page, and see the changes reflected in the chart.

Depending on how the chart was created, it might use fields to organize the data. In these types of charts, you can rearrange fields as well as sort and filter the data, if the designer of the Web page has provided the ability to do so. You can also add or remove legends, change series to categories, and more.

To work with a chart interactively, you should have the Office Web Components installed. You can do this by installing Microsoft Office 2003 or, if your company has an Office 2003 site license, by downloading the Office Web Components from your corporate intranet. You must also have Microsoft Internet Explorer version 5.01 SP2 or later to work with a chart interactively, unless you view the chart from within a Microsoft Visual Basic for Applications (VBA) project.

If your system does not meet the above requirements, you might be able to view a chart but not interact with it. For more information, see the designer of the Web page or application, or see your system administrator.


Browsers that support charts

To work with interactive charts in Microsoft Internet Explorer 5.01 SP2 and later, you must have the Microsoft Office Web Components installed and an appropriate Office 2003 license. If you do not have an Office 2003 license, you can install the components and view them on a Web page, but you cannot interact with them.

Following are the levels of browser support available when you have the Office Web Components installed and an Office 2003 license.

Show Microsoft Internet Explorer 5.01 SP2 and later

You have access to all chart features that are accessible from a browser. Changes that you make, such as formatting and layout changes, are retained when you leave a chart and browse back to it later in the same browser session.

Show Other browsers

You cannot view charts in earlier versions of Microsoft Internet Explorer and in other browsers. A chart either appears as an outlined box on the Web page or does not appear at all.


About Microsoft Office Web Components

Microsoft Office Web Components is a set of ActiveX controls installed with Microsoft Office 2003. With Office Web Components installed on your computer, you can interactively use a spreadsheet, a PivotTable list, and a chart on a Web page in Microsoft Internet Explorer 5.01 SP2 or later. If you want to use the components on a data access page in Microsoft Access, you should have Internet Explorer 5.01 SP2 or later.

If Office Web Components is not installed on your computer but you have an Office 2003 site license that permits intranet distribution, you can configure the components so that users will be prompted to download Office Web Components from your corporate intranet. This allows users at your site to use a data access page without having Office 2003 software installed on their computers.

For information about how to configure Office Web Components, see the Microsoft Office 2003 Resource Kit.


About View-only mode for Office Web Components

If you do not have a Microsoft Office 2003 software license installed on your computer or accessed via a Microsoft Office 2003 application, you can view a Microsoft Office Web Component— a Spreadsheet Component, Chart Component, or PivotTable Component— on a Web page, but you cannot interact with it.

To be able to interact with and use full functionality of the component you are viewing, you must install Microsoft Office 2003 or have access to an Office 2003 license. If you are in a corporate or group environment, check with your network administrator for assistance.

When you are in View-only mode, you can:

  • View data.
  • Print.
  • Select and scroll.
  • Use hyperlinks.
  • Resize a component.
  • Select sheets in the Spreadsheet Component.
  • Expand or collapse members in a PivotTable list.
  • Refresh data in a PivotTable list.
  • Use the About, Help, and Refresh commands. Help topics that deal with interactivity (such as formatting cells, dragging fields, sorting, filtering, and so on) do not apply.

All commands except About, Help, and Refresh are unavailable in View-only mode.


About getting help for charts

Some of the content in this topic may not be applicable to some languages.

When you view and interact with a chart in your Web browser, you are working with a component that was created in another program called a design program. In a design program such as Microsoft FrontPage or data access pages in Microsoft Access, you can specify the data you want to chart, format the chart, set options for displaying the chart, and publish the Web page to a Web server. Help about designing charts is available from within the design program.

To learn more about designing a chart, first choose a design program to work in. You can start in any of the supported design programs, and then later work on the same chart in a different design program if you need different design features.

Show Getting help in design programs

If you have a Microsoft Office 2003 license and the Microsoft Office Web Components installed, you can create and modify charts in several programs. You can create the chart in one program, and later use a different program to modify the chart or the Web page that it's on.

The choice of which design program you use depends on the amount of design or administrative work you want to do on the Web page itself, the type of data you want to use, and your own familiarity with different design programs.

Microsoft Excel If you already have data you want to use in a worksheet, or if you have data particularly suited to a worksheet, Excel is an excellent design environment to use to create charts. Just arrange your data on the Excel worksheet and create a chart following the directions in Excel Help. Then follow the directions in Excel Help to publish the chart to a Web page.

If necessary, you can make further modifications to the chart in another design program like Microsoft FrontPage. If you modify a Web page that was published from Excel by using data access page Design view in Microsoft Access, users need to install Internet Explorer 5.01 SP2 or later before they can use your Web page. Excel is available in Microsoft Office 2003.

Microsoft FrontPage If you want to create a Web page or modify charts published from Excel, FrontPage is the recommended design program. You can create charts on Web pages in FrontPage in addition to modifying charts that were designed in other programs. Use the extensive Web page editing and administrative features of FrontPage to add controls, graphics, themes, and more to your Web page, and then make the page part of your Web site. FrontPage is available in Microsoft Office 2003.

Microsoft Access If you want to create Web pages that operate on and display data from databases, and your users have Internet Explorer 5.01 SP2 or later, use data access page Design view in Access to create charts. You can use Access to establish a connection from an Access database to the Web page, and then chart that data. Or, you can connect directly to the data while creating the chart. Access is available in Microsoft Office 2003.

Microsoft Visual Basic If you need a more comprehensive programming environment than the scripting capabilities provided by Excel, FrontPage, and Access, you can design charts in Microsoft Visual Basic. Use Visual Basic when you want to include a chart in a custom solution. Users can view and interact with charts on the Visual Basic forms in your programs. Instead of a browser, your form becomes the run-time environment, and your program can automate many of the chart features.

When you are working in a design program, you can get help in the following ways:

  • Design program Help For information about the commands and features available in the design program to work with charts, see Help for the design program. For example, in Microsoft FrontPage, click the Office Assistant, or click Microsoft FrontPage Help Button image.

    Microsoft Excel provides both general Help about saving Excel data for use on Web pages and specific information about saving charts for use on Web pages. To access this Help in Excel, click the Office Assistant, or click Microsoft Excel Help Button image.

  • Chart design-time Help If you have access to the Commands and Options dialog box in another design program, you have access to design-time Help topics. In a chart that you have created or activated in a design program, click Help Button image in the Commands and Options dialog box or click Help Button image on the chart toolbar.

Show Getting help writing scripts and programs that use charts

You can use scripts and programs to automate charts, or you can include charts in run-time programs other than Web browsers— programs that you develop in a programming environment such as Microsoft Visual Basic.

Writing scripts Microsoft Office programs provide the Microsoft Script Editor to help you write scripts. For example, you can use the Script Editor from data access page Design view in Microsoft Access to customize a chart. For information about running the Script Editor, see Help in your Office design program. In the Script Editor, you can display additional Help about using its features and writing scripts.

Object model Help For Help developing a program or script to work with a chart list, you can display information about the object model, properties, and methods specific to charts. This object model Help is installed whenever you install the Microsoft Office Web Components, of which the Chart Component is one. Depending on the design program you're using, you can access this Help in the following ways:

  • Help in Microsoft Visual Basic In Visual Basic or Visual Basic for Applications (VBA), you can create a reference to the Microsoft Office Web Components library. You will then have access to Help through the object browser or by selecting a keyword and pressing F1. For information about creating references and using object model Help, see Help in VBA.
  • Help in other environments If you are using another development environment, locate and double-click the Help file Owcvba11.chm.

Show Getting help in the browser

Help available from the browser If you have Microsoft Internet Explorer version 5.01 SP2 or later and the Microsoft Office Web Components, general Help specific to charts is automatically available. This run-time Help is separate from the Help available from the Help menu in the browser.

Help available from the chart The run-time chart Help topics provide general information for all users about using charts in the browser— such as how to use the toolbar and the shortcut menu, and how to work with the field list and fields when a chart is based on a PivotTable list or database table or query. This Help does not include information about working with the Commands and Options dialog box. See design-time Help for charts or see the designer of the chart for more information.


Keyboard shortcuts

Some of the content in this topic may not be applicable to some languages.

Show Keys for working with fields

ALT+DOWN ARROW
Open the list for the currently selected field
The TAB key
Alternately move to the most recently selected item, the OK button, and the Cancel button in the drop-down list for a field
Arrow keys
Move to the next item in the drop-down list for a field
SPACEBAR
Select or clear the check box for the current item in the drop-down list for a field
ENTER
Close the drop-down list for a field and apply any changes you made
ESC
Close the drop-down list for a field without applying your changes

Show Keys for working with the field list

CTRL+L
Display the field list, or activate it if it's already displayed
Arrow keys
Move to the next item in the field list
SHIFT+UP ARROW
Move to the previous item and include it in the selection
SHIFT+DOWN ARROW
Move to the next item and include it in the selection
CTRL+UP ARROW
Move to the previous item, but don't include the item in the selection
CTRL+DOWN ARROW
Move to the next item, but don't include the item in the selection
CTRL+SPACEBAR
Remove the item from the selection, if the item that has focus is included in the selection, and vice versa
PLUS SIGN (numeric keypad)
Expand the current item in the field list to display its contents. Or expand Totals to display the available total fields.
MINUS SIGN (numeric keypad)
Collapse the current item in the field list to hide its contents. Or collapse Totals to hide the available total fields.
The TAB key
Alternately move to the most recently selected item, the Add to button, and the list next to the Add to button in the field list
ALT+DOWN ARROW
Open the drop-down list next to the Add to button in the field list. Use the arrow keys to move to the next item in the list, and then press ENTER to select an item.
ENTER
Add the highlighted field in the field list to the area in the PivotTable list that's displayed in the Add to list
ALT+F4
Close the field list

Show Keys for working with Help

Show Keys for working in the Help window

F6
Switch between the navigation pane and topic pane
ALT+O
Display the Options menu to access any Help toolbar command
ALT+SPACEBAR
Display the Control menu for the program
ALT+F4
Close the Help window

Show Keys for working in the navigation pane

CTRL+TAB
Switch to the other tab
ENTER
Open or close a selected book, or open a selected Help topic
DOWN ARROW
Select the next book or Help topic
UP ARROW
Select the previous book or Help topic
SHIFT+F10
Display the shortcut menu

Show Keys for working in the topic pane

ALT+RIGHT ARROW
Go forward to a Help topic you viewed previously
ALT+LEFT ARROW
Go back to a Help topic you viewed previously
The TAB key
Select the next hidden text or hyperlink, or Show All or Hide All at the top of a topic
SHIFT+TAB
Select the previous hidden text or hyperlink
ENTER
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink
UP ARROW or DOWN ARROW
Scroll toward the beginning or end of a Help topic
PAGE UP or PAGE DOWN
Scroll toward the beginning or end of a Help topic in larger increments
HOME or END
Go to the beginning or end of a Help topic
CTRL+P
Print the current Help topic
CTRL+A
Select the entire Help topic
CTRL+C
Copy selection to the Clipboard
SHIFT+F10
Display the shortcut menu


Print a chart

To print a chart, you must print the entire Web page.

  • On the Microsoft Internet Explorer File menu, click Print.

Note If the chart is wider or longer than the printed page, the areas that don't fit on the page are not printed.


About chart tools, commands, and the field list

Access to the chart toolbar, the field list, the shortcut menu, and the Commands and Options dialog box depends on whether the designer of the Web page you are viewing made these tools available. For more information, contact the designer of the chart or your system administrator.

Show The toolbar

The toolbar at the top of the chart provides a set of commands for working with the chart display and chart data. For example, you can use the toolbar to add or remove a legend, and in some cases to change series or category data to reflect data in rows or columns. The toolbar is most useful when your chart is based on data from a PivotTable list or database table or query, and you want to sort, filter, or change the display of data in a chart.

To see the command name of each button, rest the pointer on the button.

Show The Commands and Options dialog box

The Commands and Options dialog box, which includes advanced commands for working with charts, is not available during run time by default. Help for the Commands and Options dialog box is also not available from within the chart at run time. For more information, contact the designer of the Web page or your system administrator.

Show The field list

The field list is available from the chart toolbar when the chart is based on database data or on a PivotTable list. Use the field list to view the list of fields that are available from the source data and to add fields to the category, series, filter, and data areas of a chart. In the field list, the fields that are not bold are available but not yet displayed in the chart. The bold fields are already displayed in the chart. You can scroll and click the expand indicators ( Plus box or Minus box boxes) to show or hide additional fields.

Show The shortcut menu

When you right-click an active chart, the shortcut menu displays commands to show or hide the toolbar, commands to show or hide the field list and drop areas, and other options.


Show or hide the chart toolbar

  • Right-click the chart, and then click Toolbar on the shortcut menu.


Show or hide drop areas

When the drop areas are hidden, you cannot add or drag fields in the chart.

  • Right-click the chart, and then click Drop Areas on the shortcut menu.

Note The Drop Areas menu item is not available unless the chart is based on database data or a PivotTable list, and the Web page designer has not disabled it.


Show or hide a chart legend

  • On the toolbar, click Show/Hide Legend Button image.


About accessing a data source in a different domain

The Chart Component attempts to access data in another domain, but fails due to one of the following reasons:

  • In Internet Explorer, on the Security Settings dialog box, under Miscellaneous, Access data sources across domains is set to either Disable or Prompt and when prompted, you clicked Cancel.
  • The site being accessed by the control is not included in the list of trusted sites.

To enable access across domains, do the following:

Show Enable prompting

  1. In Internet Explorer, on the Tools menu, click Internet Options. On the Security tab, select the appropriate Web content zone, and click Custom Level. Under Miscellaneous, set Access data sources across domains to Prompt.
  2. When prompted, if you trust the data provider, click OK to allow the Chart Component to access data from the specified domain.

Show Add the site to the list of trusted sites

If the site being accessed is always trustworthy, add the site to the list of trusted sites.

  1. In Internet Explorer, on the Tools menu, click Internet Options. On the Security tab, select Trusted sites as the Web content zone, and click Sites.
  2. In the Trusted sites dialog box, enter the site details, and click OK.


Elements of a chart

ShowSeries, categories, and data representation

Example of chart elements that represent data

Callout 1 Gridline

Callout 2 Data series

Callout 3 Data marker

Callout 4 Category

Callout 5 Plot area

Callout 6 Legend key

Callout 7 Series name

Callout 8 Legend

Gridline Lines you can add to a chart that make it easier to view and evaluate data. Gridlines extend from the tick marks on an axis across the plot area.

Data series, series name (legend entry) A group of related data points plotted in a chart. Each data series has a unique color or pattern and is represented in the legend by the legend key and series name (legend entry). In the preceding chart example, Projected and Actual are data series. You can plot one or more data series in most charts.

Data marker Used to represent a data point, which is an individual value plotted in a chart. Related data points constitute a data series. Examples of data markers include bars, dots, and slices.

Category A group of related data points made up of one data point from each data series in the chart. For most charts, categories are plotted along the category (x) axis, which is usually horizontal. However, in some charts the category (x) axis is vertical, as in a bar chart. In the preceding chart example, Qtr1, Qtr2, Qtr3, and Qtr4 are categories, each made up of one point from the Projected series and one point from the Actual series.

Plot area The area in a chart that's bounded by the axes and includes all the data series.

Legend key Images in a legend that show the patterns and colors assigned to the data series or categories in a chart. Legend keys appear to the left of legend entries.

Legend A key to the patterns or colors assigned to the data series or categories in a chart.

ShowAxes

Axes in a chart

Callout 1 Value (y) axis title

Callout 2 Value (y) axis tick mark labels

Callout 3 Value (y) axis

Callout 4 Gridline

Callout 5 Minor tick mark

Callout 6 Category (x) axis title

Callout 7 Category (x) axis tick mark labels

Callout 8 Category (x) axis

Value (y) axis title A title that is usually used to describe what the value axis measures.

Value (y) axis tick mark labels Also known as value axis labels. These labels describe the values of measurement on the value axis.

Value (y) axis A line that borders one side of the plot area, providing a frame of reference for measurement or comparison in a chart. For most charts, data values are plotted along the value (y) axis, which is usually vertical. However, in some charts the value (y) axis is horizontal, as in a bar chart. Some charts have data values plotted on both axes, as in an xy (scatter) chart.

Gridline Lines you can add to a chart that make it easier to view and evaluate data. Gridlines extend from the tick marks on an axis across the plot area.

Major and minor tick marks Small lines of measurement that intersect an axis, similar to divisions on a ruler. Major tick marks appear at each major unit of measure on the axis scale, and minor tick marks appear at each minor unit of measure. Both types can be positioned inside or outside of the axis, or they can be positioned to cross the axis.

Category (x) axis title A title that is usually used to describe what is plotted on the category axis.

Category (x) axis tick mark labels Also known as category labels. These labels show the names of the categories on the category axis.

Category (x) axis A line that borders one side of the plot area, providing a frame of reference for measurement or comparison in a chart. Categories are groups of data points made up of one data point from each data series in the chart. For most charts, categories are plotted along the category (x) axis, which is usually horizontal. However, in some charts the category (x) axis is vertical, as in a bar chart. Some charts do not have a category (x) axis, as in an xy (scatter) chart.

ShowTitles and labels

Chart titles and labels

Callout 1 Chart workspace title (title for all charts in workspace)

Callout 2 Chart title (title for single chart)

Callout 3 Value axis title

Callout 4 Category axis title

Callout 5 Category label

Callout 6 Data label

Callout 7 Value axis label

Callout 8 Chart workspace legend (legend for all charts in workspace)

Callout 9 Chart legend (legend for single chart)

Chart workspace title A title that describes all charts when you have multiple charts in the workspace. This title can be positioned above, below, to the left, or to the right of the chart workspace.

Chart title The title that describes a single chart. This title can be positioned above, below, to the left, or to the right of the chart.

Value axis title A title that is usually used to describe what the value axis measures.

Category axis title A title that is usually used to describe what is plotted on the category axis.

Category label Also known as a tick mark label. These labels show the names of categories on the category axis. A category is a group of related data points, made up of one data point from each data series in the chart.

Data label A label that provides additional information about a data marker, which represents a single data point or value. Depending on the chart type, data labels can show values, names of data series or categories, percentages, or a combination of these.

Value axis label Also known as a tick mark label. These labels describe the values of measurement on the value axis.

Chart workspace legend A key to the patterns or colors assigned to the data series or categories in all charts in a multiple-chart workspace.

Chart legend A key to the patterns or colors assigned to the data series or categories in a single chart.

ShowFields

When a chart is based on a database or PivotTable list, the chart has fields that you can move, filter, and sort like a PivotTable list.

Chart with fields

Callout 1 Filter field

Callout 2 MultiChart field

Callout 3 Data field

Callout 4 Series field

Callout 5 Category field

Filter field A field that you use to filter data by specific items. In the previous example, the Year filter field displays data for all years for which there are records. To display data for a single year, you can click the arrow next to Year and select the year.

MultiChart field A field you use to display separate charts for each item in the field. In the example, the Salesperson field is filtered to show two salespeople: Dodsworth and Suyama. Because the field is in the MultiChart area, two separate charts are displayed for each.

Data field A field from the underlying source data that provides values to compare or measure. In the example, Sum of Sales is a data field that summarizes sales in each region for each type of product. The first category data marker in the chart for Dodsworth (E) reaches a little over 200 on the value (y) axis. This amount is the sum of Dodsworth's sales for products in the East region. Depending on the source data you use for the report, you can change the summary function from Sum to Average, Max, Min, or another calculation.

Series field A field that you assign to a series orientation in a chart. The items in the field provide the individual data series. In the example, Type is a series field.

Category field A field from the source data that is assigned to a category orientation in a chart. A category field provides the individual categories for which data points are charted. In the example, Region is a category field.


About data series and categories

Data series are represented by names in the legend and appear as like-colored groups of data markers on your chart. One point from each data series makes up a category. Categories, then, are groups of data points with similar characteristics. The values for categories and data series can come from either the rows or columns of the data source.

For example, suppose the data for your chart comes from a spreadsheet that looks like this:

Data in a spreadsheet

If the chart is comparing unit sales in Europe categorized by quarters, and your series are in columns and your categories in rows, the chart would look like this:

Chart

If you specify that your series are in rows, instead, the chart would use Europe as the category, and each quarter would make up a series, like this:

Chart


Change series to categories or categories to series

This option is available only if your chart is based on data from a database or a PivotTable list.

  • Click By Row/Column Button image on the toolbar.


About adding and removing fields

When a chart is based on database data or on a PivotTable list, you select fields from the source data for display in the chart.

Show Viewing the fields available to the chart

Use the chart field list to view the list of fields that are available from the source data and to add fields to the category, series, filter, and data areas of the chart. In the field list, a fieldset contains one or more fields. The fields or fieldsets that are not bold are available to be displayed in the chart. Fieldsets that are bold contain one or more fields that are already displayed. You can scroll and click the expand indicators ( Plus box or Minus box boxes) to show or hide additional fields in each fieldset. If you display multiple fields from the same fieldset, the fields must be displayed in the same drop area.

If your chart is based on source data from an OLAP database, such as one created by using Microsoft SQL Server OLAP Services, you'll notice that some fields can be moved only to the series or category areas. Other fields, listed under Totals, can be used only as data fields.

Show Adding fields to the category or series area

Use category and series fields to summarize and compare data. These fields display the unique items of data within a field as either a series (related data points) or category (related groups that consist of one point from each series).

Category and series fields in chart

Callout 1 Series field, shown with legend. The names within the legend are items within the field.

Callout 2 Category field. The names shown across the bottom of the x axis are items within the category field.

Show Adding fields to the data area

Data fields provide the values to be summarized in the chart. When you add a field to the data area, the values from the field are displayed as data markers for the category and series items.

Data field in chart

Callout 1 Data field

Callout 2 Data markers that represent data points

Show Adding fields to the filter area

A filter field is similar to a page field in a Microsoft Excel PivotTable report. Use filter fields to confine the view to a particular part of the available data. When you select an item in a filter field, data is displayed and calculated only for that item. For example, if you add a Year filter field, you can have the chart display data for all years or for just one year at a time.

Chart with filter field

Callout 1 Filter field

Callout 2 Filter field item that is currently displayed

Callout 3 Data markers for the selected year

Show Adding total fields

You can create new data fields by adding total fields to the chart. Total fields provide summarized data for use as data fields. For example, if your source data includes a Sales field that shows the amount of each sale, you could add a Sum of Sales total field to calculate the total sales, or change a total field to a Count of Sales field to display how many units were sold.

Show Removing fields

To eliminate data that you don't want to see or summarize, you can remove fields from the chart. A field that you remove is no longer displayed in the chart, but it remains available in the field list for viewing.

Show Moving fields

After you add a field to a chart, you can move it to other areas. Moving a field changes the layout of the chart and the way the data is displayed.

Show Impact of adding and removing fields on filtering

Filter settings are retained when you remove a field and add it back later.


Add, change, or remove a field

Show Add a field

  1. On the chart toolbar, click Field List Button image.

  2. Use the scroll bars and the expand indicators ( Plus box and Minus box boxes) to find the field you want to add to the chart.

  3. Click the field and drag it to the appropriate drop area on the chart.

    You can add multiple fields to each location.

    Notes

    • As an alternative to dragging the field, in the field list, select the area to which you want to add a field (areas are listed at the bottom of the field list), and then click Add to. If Add to becomes unavailable when you select the area where you want to put the field, the field you selected might not be available for use as a category, series, data, or filter field.

    • If your chart is based on source data from an OLAP database, only the fields that are not listed under Totals in the field list can be used as category, series, or filter fields.

    • You can add more than one field to an area on the chart. The placement of fields on the chart determines the hierarchical order in which the data is displayed. Outer fields can be expanded or collapsed to show more or less information in inner fields.

Show Change the summary function for a data field

  1. Click the data field that contains the values you want to summarize.

  2. On the chart toolbar, click AutoCalc Button image, and then click the summary function you want.

Note The AutoCalc button is unavailable when the source data for the chart does not allow you to add total fields— for example, when the source data is from an OLAP database.

Show Remove a field

When you remove a field from a chart, data from the field is no longer displayed, but the field remains available in the field list for viewing.

  1. Click the field label of the field that you want to remove from the chart.

  2. Drag the field toward the outside of the chart until the pointer changes to Pointer with red X.


Move a field in a chart

  1. If the drop areas for the chart are not displayed, show them by right-clicking the chart and then clicking Drop Areas on the shortcut menu.
  2. In the chart, click the field you want to move, and then drag it until the pointer changes to represent the area where you want to move it.
    This pointer | Represents this area
    Pointer for series area | Series area
    Pointer for category area | Category area
    Pointer for filter area | Filter area
    Pointer for data area | Data area
    Pointer for multichart area | MultiChart area
  3. Release the mouse button.

Note The pointers shown above apply only when you're moving fields within the chart, not when you're adding fields from the field list.


About changing the layout of fields in a chart

When a chart is based on data from a database or PivotTable list, you can control how the data is shown by moving fields and customizing the layout— if the Web page designer has not restricted your ability to do so. A different layout lets you compare values for different elements in your data in ways that are most meaningful for you.

Show Using the drop areas

You change the layout of a chart by moving the fields to predefined drop areas within the chart workspace. To do this, drop areas must be shown in the chart.

Drop areas are displayed differently depending on the chart type. For example, a series drop area is not displayed for a pie chart because pie charts consist of only one series. If multiple charts are plotted, you might see a drop area for multi-chart fields. This type of drop area is not displayed for single charts.

After you move fields to the drop areas so that the drop-area captions are covered up, you can still drag additional fields to the areas.

Show Moving fields to the category and series areas

When you move a field to the series area, the unique items of data within the field are displayed as data series in the chart. These series are represented by colored data markers, and their names appear in the chart legend.

When you move a field to the category area, the unique items of data are displayed as categories, or related groups of data. Each category consists of one point from each data series. Category labels usually appear across the category (x) axis of the chart, although this can vary depending on the type of chart you are using.

Show Moving fields to the data area

Data fields provide the values to be summarized in the chart. When you move a field to the data area, the values from the field are used as the data being measured in the chart.

Show Moving fields to the filter area

A filter field is similar to a page field in a Microsoft Excel PivotTable report. Filter fields allow you to confine the view to a particular part of the available data. For example, when you move a Product field to the filter area, you can have the chart display category and series values for one product at a time.

Show Moving fields to the MultiChart area

When your chart is based on data from a PivotTable list or from a database table or query, and the Web page designer has plotted multiple charts, you can move fields to and from the MultiChart area. When you move a field to the MultiChart area, items in that field become separate charts. For example, if you move the Salesperson field to the MultiChart area, a chart is created based on data for each salesperson in that field. In the following example, the Salesperson field is in the MultiChart area, but it's filtered so it displays individual charts for Buchanan and Davolio.

Filtered Salesperson field in MultiChart area

Show Moving the category or series fields to inner or outer levels

When a chart contains multiple series or category fields, the fields that are closest to the data are referred to as inner fields. The other fields are outer fields. In the following example, Year is the outer field and Salesperson is the inner field. The inner field items are displayed as salespeople's names, and the outer field items are displayed as the years 1997 and 1998.

Multiple fields in a chart

Callout 1 Inner field items

Callout 2 Outer field items

You can expand and collapse multiple fields to show more or less information in a particular field. For example, you can collapse the outer field (Year) in the example so that the inner field items are no longer displayed.

Chart with collapsed field

Show Adding and removing fields

The layout of a chart does not have to include all fields that are available from the source data. If more data is available, you can add fields to the chart. For example, if the chart summarizes sales revenue, and the source data also includes sales quantities, you might add the Quantity field as a data field to summarize both revenue and quantity of products sold. You can also remove fields from the chart layout that you no longer want to see.

Show Restrictions on moving and adding fields

If you work with a chart that is based on source data from an OLAP database, such as one created with Microsoft SQL Server OLAP Services, you'll notice that some fields can be moved only to the series, category, and filter areas, and that fields in the data area cannot be moved to other areas.

Show Impact of changing layout on filtering

Filter settings are retained when you move or remove a field. This means that when you move a series or category field to the filter area and back, previously hidden items are again hidden. If you remove a field and later add the field back to the layout, the same items are again hidden.


Summary functions available for chart data fields

The following table lists the summary functions provided by the AutoCalc Button image command used to summarize data fields.

Function | Description
Sum | Calculates the sum of the values.
Count | Tallies the number of values. Empty values, such as zero-length strings (strings that contain no characters), are included in the count, but null values (values that indicate missing or unknown data) are not included.
Min | Returns the smallest value in the field being summarized.
Max | Returns the largest value in the field being summarized.
Average | Returns the average of the values in the field being summarized.
Standard Deviation | Returns the standard deviation of the values in the field being summarized, assuming the values are a sample of a larger population.
Standard Deviation Population | Returns the standard deviation of the values in the field being summarized, assuming the values are the entire population.
Variance | Returns the variance of the values in the field being summarized, assuming the values are a sample of a larger population.
Variance Population | Returns the variance of the values in the field being summarized, assuming the values are the entire population.

Note The summary functions available for a field depend on the type of data in the field. For example, if a field contains text, you can use only the Count function for that field.


About filtering data in a chart

When the chart you are viewing is based on database data or data from a PivotTable list, you can use the filter feature to find specific data values or all data that matches a value— if the Web page designer has not restricted your ability to do so.

Show Filtering techniques

Filtering a field (autofiltering) You can filter fields in the category, series, and filter areas. When you filter a field, you select one or more items of data in the field that you want to view, and hide the other items.

Filtering a field is particularly helpful when you have a large amount of source data but you want to focus on specific areas. When you filter a field, you can display the data for a single item, or you can select some items to display and other items to hide. You can filter more than one field at a time to further narrow the focus.

Chart with category field

Chart with category field filtered

Callout 1 Category field Region showing all items (not filtered)

Callout 2 Category field Region filtered to show South and West region items

Conditional filtering You can apply a filter to series or points to show the top or bottom n items based on a total. For example, you can filter for the three cities that generated the most sales or the five products that are least profitable. Instead of n items, you can also choose to filter for a certain percentage of items. For example, you can filter for the top 25% or bottom 25% of salespeople based on the number of orders handled. If there are 40 salespeople, after the filter is applied, you will see data for 10 people.

Show Combining multiple filters

Filters are additive. Each filter you apply is added to the ones you already have in effect.

Show Removing and reapplying a filter

You can display all data for all fields by turning off autofiltering. However, the filter settings are retained, so that when you turn autofiltering back on, the same data that was previously displayed or hidden is again displayed or hidden.

Filter settings are retained when you move fields to change the layout. Also, if you remove a field and later add the field back to the layout, the same items are again hidden.

If you don't want to retain your filter selections, make sure the AutoFilter button Button image is not selected before you start selecting items to filter. If the button is not selected, selecting new items to filter automatically turns filtering on and removes your former filter settings.

Show Identifying the filters that are currently in effect

When items in a field are hidden by autofiltering, the drop-down arrow Field arrow in the field label is blue. Click the blue arrow Blue arrow to see the filter that is in effect.


Filter a field in a chart

Show Filter a field in the category, series, or filter area (autofiltering)

If the filter area does not have a field, you can either add a new field or move a field from another area to the filter area.
  1. Click the arrow Field arrow for the field that contains the items of data that you want to filter.
  2. Select the check boxes for the items you want to display, and clear the check boxes for the items you want to hide.

Notes

  • To display or hide all of the data for a field, select or clear the (All) check box. A shaded check box indicates that some items are hidden.
  • When placed in the category, series, or filter area, a field always supports multiple selection. A field in the filter area can support either single or multiple selection.

Show Filter a series or point for the top or bottom n values, or for a percentage (conditional filtering)

  1. Select the series or point that has the values you want to filter.
  2. On the toolbar, click Show Top/Bottom Items Button image.
  3. Point to Show Only the Top or Show Only the Bottom, and then click the number or percentage you want.

Note When items in a field are hidden by an autofilter, the arrow Field arrow in the field label is blue.


Remove filters to display all data in a chart

When items in a field are hidden by filtering a field, the arrow Field arrow in the field label is blue.

Show Remove all filters

  • Click the AutoFilter button Button image on the toolbar so that it is not selected.

Note If you click AutoFilter Button image again to turn filtering back on, the previously set filters will be reapplied.

Show Remove an autofilter from a field

  1. Click the blue arrow Blue arrow of the field from which you want to remove the filter.
  2. Select the (All) check box and click OK.

Show Remove a conditional filter

  1. Select the series or point from which you want to remove conditional filtering.
  2. Click Show Top/Bottom Items Button image on the toolbar, and then click Show All.

Notes

  • If you don't want to retain your filters, make sure the AutoFilter button is not selected before you start selecting items to filter. If the button is not selected, selecting new items to filter automatically turns filtering on and removes your former filter settings.


Expand or collapse items in fields

You can expand or collapse items in series fields or category fields to show or hide more detailed information for a particular item. Expanding is similar to drilling except items on the same level are not hidden. In the example, West is expanded to show detailed information for West, but other regions are still displayed without detailed information. Collapsing will remove the detailed information for that item, and return the chart to the state it was prior to expanding.

Charts with expanded and collapsed fields

Callout 1 Chart that shows sales in each region

Callout 2 Chart with West expanded to show sales per product in the West region

  1. Click the field that contains the item or items you want to expand or collapse.
  2. On the toolbar, click Expand Button image or Collapse Button image.


Drill into or out of data in fields

You can drill into an item in an outer category field to focus on detailed information for that particular item, or you can drill out to remove detailed information for that item. Drilling is similar to expanding, except that when you drill into an item, other items on the same level are hidden.

In the example, the region North is drilled into, showing detail information for the North region and hiding all information for other regions. When you drill out of an item you drilled into, the detailed information is removed, and items on the same level are shown again.

Charts with drilled information

Callout 1 Chart that shows sales information for products by region.

Callout 2 Chart that shows North region item drilled into to show sales information for each type of product in the North region only. Other regions are hidden.

  1. Click the item on the category axis that you want to drill into or drill out of.
  2. On the toolbar, click Drill Into Button image or Drill Out Button image.


Sort data in a chart

You can sort category and series data in a chart that is based on a PivotTable list, database table, or query.

  1. Do one of the following:
    • If you want to sort numerical data in a series, click the series or a series point within the series.
    • If you want to sort items in a field alphabetically, click the category or series field, or click a category axis label or legend entry.
  2. Do one of the following:
    • Click Sort Ascending Button image or Sort Descending Button image on the toolbar.
    • If you have a stacked bar, stacked area, or stacked column chart, and you want to sort numerically based on the height of the entire stacked value rather than just one series, right-click the series or point, point to Sort, and then click Ascending By Total or Descending By Total.


Troubleshoot charts

Show An exclamation point appears in the bottom left corner of my chart.

A passive alert indicates that your chart contains an error. The alert appears as an exclamation point at the bottom left corner of the chart. Passive alerts appear in error situations such as when a texture file cannot be found or when a database connection fails. Click the exclamation icon to see more information about the error. If necessary, contact the designer of the Web page or your system administrator.

Show I published a chart from Excel, and it has more data in it now than it did in Excel.

In Microsoft Excel, you can specify that a chart plot visible cells only. When this setting is enabled, the chart does not reflect data in hidden rows or columns within the data range that you use to create the chart. When you publish a chart, however, all data is reflected in the chart.

If you do not want the chart to reflect hidden data, you should unhide the rows and columns in the worksheet and move the data out of the data range you are using to create the chart before you publish the chart. See Excel Help for information about moving data in a worksheet. To change your chart after publishing, you can unhide and delete the rows or columns that have the data you do not want shown in the spreadsheet that is published with the chart. For information about deleting rows or columns, see Spreadsheet Component Help.

Show I published a chart from Excel, but it contains no data when I view it in the browser.

To publish a chart to the Web from Microsoft Excel, you must include both x and y values in an xy (scatter) chart, and you must include x, y, and bubble size values in a bubble chart. Excel supplies default values if x values are not included in your data selection. These values appear in the chart in Excel, but they are not retained when you publish the chart as a Web page.

If you didn't include all necessary values in your chart, type them in Excel into a column that's adjacent to the chart's original data, re-create the chart, and then republish it.

Show When I attempt to display or refresh a chart on Microsoft Internet Explorer, I get prompted with the message “This page is accessing information that is not under its control. This poses a security risk. Do you want to continue?”

You have specified a data source for the chart on a different domain on the Web. If you do not want to be prompted, you can change the way you are accessing data across domains. For more information, see About accessing a data source on a different domain.

Show I have a blank box on the Web page where my chart should be.

You can view and interact with charts for the Web in Microsoft Internet Explorer 5.01 SP2 and later.

Show I can't display or interact with my chart in the browser.

Install the Microsoft Office Web Components To view and work with charts for the Web, you must have the Office Web Components installed. You can do this by installing Microsoft Office 2003 or, if your company has a Microsoft Office 2003 site license, you can download the components from an intranet.

Check the browser version To interact with a chart, you also need Microsoft Internet Explorer version 5.01 SP2 or later. It's recommended that you have Internet Explorer 5.01 SP2 or later to take full advantage of the interactive capabilities of the chart and its source data.

Show My chart for the Web does not update in the browser.

If you published a chart from Microsoft Excel, you might not have chosen to publish the chart with interactive functionality. If you publish without interactive functionality, the chart displayed in the browser is static and is not connected to data.

To publish an interactive chart, open the original workbook in Excel, select the chart, and then click Save as Web Page on the File menu. In the Save As dialog box, click Selection: Chart and select the Add interactivity check box.

Show Clicking the Edit button in my Web browser opens my Web page in the wrong program.

Which programs are available from the Edit button in the Web browser depends on how the page was published.

If clicking the Edit button in your Web browser opens an Office program that you do not want to use, close the program, start the Office program you want to use, and open the Web page from there.

Show There is no Help for the Commands and Options dialog box.

By default, the Commands and Options dialog box is not displayed for charts in run-time mode (that is, in a browser or displayed on a form in a custom application). For that reason, Help topics dealing with the Commands and Options dialog box are not included in run-time Help. See the designer of the Web page or application you are viewing for more information about working with this dialog box.

Show My 3-dimensional charts are displayed as 2-dimensional charts.

If you are using a version of Microsoft Windows prior to Windows XP, you may not have Microsoft DirectX installed. Install DirectX from Microsoft.com Download Center to display 3-dimensional charts.